---
toc: false
---
# VEUI

:::oss-badges
[<img alt="VEUI build status" src="https://img.shields.io/github/workflow/status/ecomfe/veui/test/d20" height="20">](https://github.com/ecomfe/veui/actions/workflows/test.yml) [<img alt="VEUI on npm" src="https://img.shields.io/npm/v/veui" height="20">](https://www.npmjs.com/package/veui) [<img alt="MIT License" src="https://img.shields.io/github/license/ecomfe/veui">](https://github.com/ecomfe/veui/blob/d20/LICENSE)
:::

> VEUI is an enterprise UI component library, based on [Vue.js](https://vuejs.org).

#### Features

* 🤘 Powerful and flexible components & directives
* 💅 Switchable/customizable themes
* 🌲 Fully tree-shakable components
* 🌐 I18N support w/ compile-time optimization
* ⌨️ A11Y support w/ ARIA annotation & complete keyboard navigation
* ☁️ SSR support w/ component level Critical CSS

VEUI is designed to keep components and styles separated. Users can develop and specify their own theme package for VEUI. `veui-theme-dls` is the built-in theme package.

VEUI is published as Vue single file components and ES modules with untranspiled ES next code thus requires to be compiled along with the application project.

Apart from components, VEUI also offers various powerful directives and plugins to boost application development based on Vue.js.

#### Browser compatibility

All evergreen browsers and IE11+.

#### License

[MIT](https://github.com/ecomfe/veui/blob/dev/LICENSE)
